package com.ascendfinalproject.warehouse.models;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import org.springframework.data.annotation.Id;

import java.util.List;

@Getter
@Setter
@ToString
public class WarehouseOrderRequest {

    @Id
    private String id;
    private String orderTrackingCode;
    private String orderStatus;
    private long orderCreatedAt;
    private long orderUpdatedAt;
    private String customerId;
    private String customerEmailAddress;
    private List<Item> orderItems;
    private Address customerAddress;
}
